package com.chenyang.nse.bussiness.tools.dataprocess;

public class EncTaskState {
   private String id;
   private String project;
   private String schema;
   private String table;
   private String column;
   private volatile int state = 1;

   public void over() {
      this.state = 0;
   }

   public String getId() {
      return this.id;
   }

   public String getProject() {
      return this.project;
   }

   public String getSchema() {
      return this.schema;
   }

   public String getTable() {
      return this.table;
   }

   public String getColumn() {
      return this.column;
   }

   public int getState() {
      return this.state;
   }

   public void setId(final String id) {
      this.id = id;
   }

   public void setProject(final String project) {
      this.project = project;
   }

   public void setSchema(final String schema) {
      this.schema = schema;
   }

   public void setTable(final String table) {
      this.table = table;
   }

   public void setColumn(final String column) {
      this.column = column;
   }

   public void setState(final int state) {
      this.state = state;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof EncTaskState)) {
         return false;
      } else {
         EncTaskState other = (EncTaskState)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$id = this.getId();
            Object other$id = other.getId();
            if (this$id == null) {
               if (other$id != null) {
                  return false;
               }
            } else if (!this$id.equals(other$id)) {
               return false;
            }

            Object this$project = this.getProject();
            Object other$project = other.getProject();
            if (this$project == null) {
               if (other$project != null) {
                  return false;
               }
            } else if (!this$project.equals(other$project)) {
               return false;
            }

            Object this$schema = this.getSchema();
            Object other$schema = other.getSchema();
            if (this$schema == null) {
               if (other$schema != null) {
                  return false;
               }
            } else if (!this$schema.equals(other$schema)) {
               return false;
            }

            Object this$table = this.getTable();
            Object other$table = other.getTable();
            if (this$table == null) {
               if (other$table != null) {
                  return false;
               }
            } else if (!this$table.equals(other$table)) {
               return false;
            }

            Object this$column = this.getColumn();
            Object other$column = other.getColumn();
            if (this$column == null) {
               if (other$column != null) {
                  return false;
               }
            } else if (!this$column.equals(other$column)) {
               return false;
            }

            if (this.getState() != other.getState()) {
               return false;
            } else {
               return true;
            }
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof EncTaskState;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $project = this.getProject();
      result = result * 59 + ($project == null ? 43 : $project.hashCode());
      Object $schema = this.getSchema();
      result = result * 59 + ($schema == null ? 43 : $schema.hashCode());
      Object $table = this.getTable();
      result = result * 59 + ($table == null ? 43 : $table.hashCode());
      Object $column = this.getColumn();
      result = result * 59 + ($column == null ? 43 : $column.hashCode());
      result = result * 59 + this.getState();
      return result;
   }

   public String toString() {
      return "EncTaskState(id=" + this.getId() + ", project=" + this.getProject() + ", schema=" + this.getSchema() + ", table=" + this.getTable() + ", column=" + this.getColumn() + ", state=" + this.getState() + ")";
   }
}
